/*
* Dalpiaz Incorporadora
*
* Criação: Jacques Fernandes, Bold Creative
* Desenvolvimento: Marco Andrei Kichalowsky, Arsnova (https://arsnova.digital)
*
* Copyright 2023 Dalpiaz Incorporadora
* 15/08/2023
*/

/* # Preparação
-------------------------------------------------------------- */

/* Correções
--------------------------------------------- */

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

/**
 * 1. Correct the odd appearance in Chrome and Safari.
 * 2. Correct the outline style in Safari.
 */

[type="search"] {
    -webkit-appearance: textfield;
    outline-offset: -2px;
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */

[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */

::-webkit-file-upload-button {
    -webkit-appearance: button;
    font: inherit;
}

/* Box sizing
--------------------------------------------- */

/* Inherit box-sizing to more easily change it's value on a component level.
@link http://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/ */

*,
*::before,
*::after {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
}

/* Variáveis
--------------------------------------------- */

:root {
    --cinza: #dfdbd5;
    --laranja: #b14d2b;
    --marrom: #3d2f27;
    --largura-coluna: 920px;
}

/* Pré-definições
--------------------------------------------- */

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--cinza);
    color: var(--marrom);
    font-family: 'Syne', sans-serif;
    font-size: 1rem;
    font-weight: normal;
    line-height: 1.2;
    margin: 0;

}

a,
a:visited {
    color: var(--marrom);
    font-weight: bold;
    text-decoration: none;
}

h1,
h2,
h3,
h4 {
    color: var(--laranja);
    font-family: 'Fraunces 144pt Soft',
        serif;
    font-size: 3rem;
    font-weight: 600;
    line-height: 1;
    margin: 0 0 2rem;
}

img {
    height: auto;
    max-width: 100%;
}

/* # Cabeçalho
--------------------------------------------------------------*/

.cabecalho {
    background-color: var(--cinza);
    height: 100px;
    width: 100%;
}

.cabecalho .conteudo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    margin: 0 auto;
    max-width: var(--largura-coluna);
    padding: 0 2rem;
}

.cabecalho .logo {
    min-width: 150px;
}

.cabecalho .logo img {
    width: 120px;
}

.cabecalho nav {
    display: flex;
    justify-content: right;
    align-items: center;
    height: 100%;
    width: 75%;
}

.cabecalho nav ul {
    background-color: var(--cinza);
    display: none;
    justify-content: space-evenly;
    align-items: center;

    list-style: none;
    margin: 0;
    padding: 0;

    height: 100%;
    width: 100%;
}

.cabecalho ul.abre {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100px;
    left: 0;
    right: 0;
    height: auto;
    padding: 0 2rem 2rem;
    z-index: 99;
}

.cabecalho ul.abre li {
    padding: 20px;
}

.cabecalho ul li {
    color: var(--marrom);

}

.cabecalho ul li a {
    color: var(--marrom);
    font-weight: normal;
    text-decoration: none;
}

.menu-toggle {
    float: right;
    border: 0;
    font-family: 'FontAwesome';
    font-size: 1.2em;
    background-color: transparent;
    color: var(--dourado);
    padding: 8px;
}

@media screen and (min-width: 800px) {
    .menu-toggle {
        display: none;
    }

    .cabecalho nav ul {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
}



/* # Vitrine
--------------------------------------------------------------*/

#vitrine {
    background-image: url('img/iStock-1385074623.jpg');
    background-position: center top;
    background-size: cover;
    height: calc(100vh - 100px);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

#vitrine .conteudo {
    color: white;
    font-size: 3.5rem;
    font-family: 'Fraunces 144pt Soft', serif;
    font-weight: 600;
    max-width: 640px;
    padding: 0 2rem;
    text-align: center;
    z-index: 1;
}

.mascara-negra {
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

/* # Destaque
--------------------------------------------------------------*/

#destaque {
    background-image: url('img/pexels-content-pixie-2736543.jpg');
    background-position: center bottom;
    background-size: cover;
    height: 90vh;
    display: flex;
    align-items: center;
    position: relative;
}

#destaque .conteudo {
    color: white;
    font-size: 3rem;
    font-family: 'Fraunces 144pt Soft', serif;
    font-weight: 600;
    margin: 0 auto;
    max-width: var(--largura-coluna);
    padding: 2rem;
    position: relative;
    width: 100%;
    z-index: 1;
}

#destaque .conteudo img {
    max-width: 240px;

}

#destaque .conteudo p {
    margin-bottom: 0;
}

.saiba-mais-btn {
    background-color: white;
    border-radius: 20px;
    cursor: pointer;
    font-family: 'Syne', sans-serif;
    font-size: 1rem;
    padding: 8px 16px;
}

/* # Sobre
--------------------------------------------------------------*/

#sobre .conteudo {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    max-width: var(--largura-coluna);
    padding: 7rem 2rem;
}

#sobre .intro {
    margin: 0 0 2rem;
}

#sobre .titulo {
    margin: 0 0 1rem;
}

#sobre .intro div {
    font-weight: bold;
}

@media screen and (min-width:768px) {
    #sobre .conteudo {
        flex-direction: row;
        justify-content: center;
    }

    #sobre .intro {
        margin: 0;
        width: 40%;
    }

    #sobre .intro div {
        width: 70%;
    }

    #sobre .texto {
        width: 40%;
    }
}

/* # Números
--------------------------------------------------------------*/

#numeros {
    background-color: var(--laranja);
}

#numeros .conteudo {
    color: white;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    font-size: 1.5rem;
    margin: 0 auto;
    max-width: var(--largura-coluna);
    padding: 7rem 2rem;
    text-align: center;
}

#numeros .conteudo div {
    margin-bottom: 1rem;
}

#numeros .conteudo span {
    font-family: 'Fraunces 144pt Soft', serif;
    font-size: 3.5rem;
}

/* # Diferenciais
--------------------------------------------------------------*/

#diferenciais {
    background-color: white;
    padding: 7rem 2rem;
}

#diferenciais .conteudo {
    margin: 0 auto;
    max-width: var(--largura-coluna);
}

#diferenciais .conteudo .titulo {
    margin-bottom: 5rem;
    text-align: center;
}

.diferencial {
    display: flex;
    flex-direction: column;
    margin-bottom: 4rem;
    width: 100%;
}

.diferencial .foto {
    margin-bottom: 2rem;
    max-width: 400px;
}

.diferencial .info {
    max-width: 400px;
}

.diferencial .info h3 {
    color: var(--marrom);
}

@media screen and (min-width: 768px) {
    .diferencial {
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
    }

    .diferencial:nth-child(even) {
        flex-direction: row-reverse;
    }

    .diferencial .foto {
        margin: 0;
        width: 40vw;
    }
}

/* # Rodapé
--------------------------------------------------------------*/

.rodape {
    background-color: var(--marrom);
    color: white;
    font-size: 1rem;
    padding: 5rem 0;
}

.widget-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.widget {
    margin-bottom: 2rem;
    padding: 1rem;
    min-width: 260px;
    max-width: 260px;
}

.widget a {
    color: white;
}

.rodape-logo {
    max-width: 200px;
}

.rodape-endereco {
    margin: 0 1rem 2rem;
    min-width: 300px;
    max-width: 300px;
    padding: 1rem 0;
}

.rodape-email {
    font-size: 1;
    font-weight: 400;
}

.form-contato {}

input {
    border: 0;
    border-bottom: thin solid white;
    box-sizing: border-box;
    background-color: var(--marrom);
    color: white;
    font-family: 'Syne', sans-serif;
    height: 2rem;
    margin-bottom: 0.5rem;
    padding: 8px;
    width: 100%;
}

input::placeholder,
textarea::placeholder {
    color: white;
    font-size: 0.75rem;
}


textarea {
    border: 0;
    border-bottom: thin solid white;
    box-sizing: border-box;
    background-color: var(--marrom);
    color: white;
    font-family: 'Syne', sans-serif;
    height: 6rem;
    margin-bottom: 0.5rem;
    padding: 8px;
    width: 100%;
}

input[type=submit] {
    border: 0;
    color: white;
    cursor: pointer;
    font-size: 1rem;
}

/* Go Top */

#go-top {
    font-size: 2rem;
    position: fixed;
    right: 25px;
    bottom: 50px;
    display: none;
}

#go-top a {
    color: var(--laranja);
}

@media screen and (min-width: 37.5em) {
    #go-top {

        position: fixed;
        right: 50px;

    }
}

/* # Envio form contato
--------------------------------------------------------------*/

#resposta-form-conteudo {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 100vh;
    width: 100%;
}

#resposta-form-conteudo .logo img {
    margin-bottom: 2rem;
    width: 250px;
}

#resposta-form-conteudo .conteudo-logo {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

#resposta-form-conteudo button {
    background-color: white;
    border-radius: 20px;
    cursor: pointer;
    font-family: 'Syne', sans-serif;
    font-size: 1rem;
    padding: 8px 16px;
    color: var(--marrom);
    font-weight: bold;
    text-decoration: none;
    border: 0;
}